[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [K12OSN] Help with yum update error



Eric thank you very much for this insightful answer.

I was aware of repository conflicts but thought dries was the preferred 3rd party for FC4 according to most stuff I read. I'm not particularly attached to it so I'll disable it now.

Oh and icewm worked perfectly before I disabled dries, so well done

Regards

Paul

Eric Harrison wrote:

On Tue, 13 Dec 2005, Paul Zagoridis wrote:

Hi All

I'm trying to get my head around this error for a few days without success. I basically can't run yum update

I've tried (without success) # yum remove k12ltsp-extras
then manually install the missing dependency # rpm -ivh (all three dependencies)
followed by  # yum install k12ltsp-extras

Any suggestions would be welcome. We don't use IceWM either.



# yum update
Repository extras is listed more than once in the configuration
Setting up Update Process
Setting up repositories
core 100% |=========================| 1.1 kB 00:00 dries 100% |=========================| 951 B 00:00 freshrpms 100% |=========================| 951 B 00:00 k12ltsp 100% |=========================| 1.1 kB 00:00 webmin 100% |=========================| 951 B 00:00 extras 100% |=========================| 1.1 kB 00:00 newrpms.sunsite.dk 100% |=========================| 951 B 00:00 updates 100% |=========================| 951 B 00:00 updates-released 100% |=========================| 951 B 00:00 base 100% |=========================| 1.1 kB 00:00
Reading repository metadata in from local files
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package icewm.i386 0:1.2.23-1.2.fc4.rf set to be updated
--> Running transaction check
--> Processing Dependency: icewm-l10n for package: k12ltsp-extras
--> Processing Dependency: icewm-themes for package: k12ltsp-extras
--> Processing Dependency: icewm-menu-gnome2 for package: k12ltsp-extras
--> Finished Dependency Resolution
Error: Missing Dependency: icewm-l10n is needed by package k12ltsp-extras Error: Missing Dependency: icewm-themes is needed by package k12ltsp-extras Error: Missing Dependency: icewm-menu-gnome2 is needed by package k12ltsp-extras


I see that you are using a couple of third-party repositories. The
conflict, in your case, comes from the "dries" repository you added.

I try to make sure that the K12LTSP repositories do not conflict with
the freshrpms, livna, and fedora extras repositories. K12LTSP ships
with /etc/yum.repo.d/*.repo files for all three, but only fedora extras
is turned on by default.


If you use a repository other than freshrpms, livna, or fedora extras
with the K12LTSP repository, you run the risk of such conflicts.

Yumex, the gui for yum, has pretty good support for dealing with this.
You can create different profiles, you can create a non-default profile
that includes third party repositories. You can update off the default
profile, then select the third-party profile to see if there are any
updates there - and select just the specific packages that you need
from those third-party repositories.


As for IceWM, I had already packaged the latest version, but so far
had only done 64bit builds (since that's what I'm working on right now).
I built 32bit update packages for K12LTSP 4.4.x and loaded them into
the repository. Not sure if that'll help or not, since I didn't test
them against the "dries" repository ;-)

-Eric

_______________________________________________
K12OSN mailing list
K12OSN redhat com
https://www.redhat.com/mailman/listinfo/k12osn
For more info see <http://www.k12os.org>




--
Paul Zagoridis
http://www.zagz.com


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]